const mongoose = require("mongoose");

const CouponsSchema = new mongoose.Schema({
  name: {
    type: String,
  },
  code: {
    type: String,
  },
  discountType: {
    type: String,
  },
  value: {
    type: String,
  },
  IsActive: {
    type: Boolean,
  },
  IsDelete: {
    type: Boolean,
  },
  CreatedBy: {
    type: String,
  },
  CreatedOn: {
    type: Date,
  },
  ModifiedBy: {
    type: String,
    default: null,
  },
  ModifiedOn: {
    type: Date,
    default: null,
  },
});

const Coupons = mongoose.model("Coupons", CouponsSchema);

module.exports = Coupons;
